TSREPORT(1)

NAME
tsreport - get info about the streams within a transport stream.

SYNOPSIS
tsinfo [-err stdout] [-err stderr] [-verbose | -v] [-timing | -t] [-max max_read | -m max_read] [-data] file | -stdin
tsinfo -buffering | -b [-err stdout] [-err stderr] [-verbose | -v] [-quiet | -q] [-max max_read | -m max_read] [-o csv_file [-32]] [-cnt] [-prog prog_no] [-tfmt time_format] [-tafmt time_format] file | -stdin
tsinfo -justpid pid [-err stdout] [-err stderr] [-max max_read | -m max_read] file | -stdin

DESCRIPTION
Report on the streams in a Transport Stream. In general the most useful inforation is returned by the -b option.

  Common options

-err stdout
    Write error messages to standard output (the default)

-err stderr
    Write error messages to standard error (Unix traditional)

-v, -verbose
    Output extra information about packets

-q, -quiet
    Output less information

-m max_scan, -max max_scan
    max_scan is the Number of TS packets to scan. Defaults to the entire file.

-stdin
    Input from standard input, instead of a file

file
    The transport stream file to get info on. If -stdin is specified then no file is expected

  b , buffering
Report on the differences between PCR and PTS, and between PCR and DTS. This is relevant to the size of buffers needed in the decoder. Also reports bitrates; the max bitrate is calculated over 0.5sec

-o csv_file [-32]
    Output timing in to a CSV file called csv_file. If -32 is used as well then the timing ifo is restricted to the bottom 32 bits

-cnt pid
    Check values of continuity_counter for pid pid. Writes all the values of the counter to a file called continuity_counter.txt.

-prog prog_no
    Report on program prog_no [default = 1] (hopefully default will be 'all' in the future)

-tfmt time_format
    Specify format of time differences.

-tafmt time_format
    Specify format of absolute times.

    time_format is one of

    90  [Default] show as 90KHz timestamps (suffix 't' on the values: e.g., 4362599t).

    27  Show as 27MHz timestamps (similar, e.g., 25151:000t).

    32  Show as 90KHz timestamps, but only the low 32 bits.

    ms  Show as milliseconds.

    hms Show as hours/minutes/seconds (H:MM:SS.ssss, the H can be more than one digit if necessary)

  justpid pid
Just show data (file offset, index, adaptation field and payload) for TS packets with the given PID. PID 0 is allowed (i.e., the PAT)

SEE ALSO
tsinfo(1), pcapreport(1)